Skip to main content
POST
Create or update ticket

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

platformId
string

Your platform id.

Example:

"pf_1"

ticketId
string

Full UUID or shortId. Omit to create.

Example:

"446655440000"

email
string

Required when creating.

Example:

"john@acme.com"

title
string

Required when creating.

description
string

Required when creating.

status
string

open | in_progress | resolved | closed.

priority
string

low | medium | high | urgent.

message
string

Reply/note added to the thread.

senderRole
string

admin (default) | creator.

isInternal
boolean

Admin-only note flag (admin replies only).

Example:

false

assignedToId
string

Admin user id to assign.

assignedToName
string

Display name of assigned admin.

Body

application/json
platformId
string
required

Your platform id.

Example:

"pf_1"

ticketId
string

Full UUID or shortId. Omit to create.

Example:

"446655440000"

email
string

Required when creating.

Example:

"john@acme.com"

title
string

Required when creating.

description
string

Required when creating.

status
string

open | in_progress | resolved | closed.

priority
string

low | medium | high | urgent.

message
string

Reply/note added to the thread.

senderRole
string

admin (default) | creator.

isInternal
boolean

Admin-only note flag (admin replies only).

Example:

false

assignedToId
string

Admin user id to assign.

assignedToName
string

Display name of assigned admin.

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number
Last modified on September 20, 2026